#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1300three4xi.py">
#<abstract4xi abstract = "fires to direction three and to distance 1300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1300three4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2THREE - COORDINATE SIGNS OF SHOOT2THREE4XI: (X + ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2three13004xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

       
# -------------------------------------------------------------------------------------------------
# SHOT2THREE - COORDINATE SIGNS OF SHOOT2THREE4XI: (X + ,Y + ,Z - ) - STUBS ONLY - ALL ARE IN FILES
# -------------------------------------------------------------------------------------------------    

shot2three13004xi = {
                1:'0x1261y-312z',
                2:'0x12y-1299z',
                3:'0x25y-1299z',
                4:'1007x815y-94z',
                5:'102x1171y-554z',
                6:'1038x700y-348z',
                7:'103x148y-1287z',
                8:'1049x762y-81z',
                9:'115x363y-1242z',
                10:'118x153y-1285z',
                11:'12x16y-1299z',
                12:'132x1260y-287z',
                13:'133x1089y-695z',
                14:'134x156y-1283z',
                15:'139x368y-1238z',
                16:'14x318y-1260z',
                17:'14x76y-1297z',
                18:'151x158y-1281z',
                19:'163x372y-1234z',
                20:'164x1169y-543z',
                21:'168x1075y-879z',
                22:'169x159y-1279z',
                23:'186x158y-1276z',
                24:'187x374y-1230z',
                25:'18x1083y-717z',
                26:'191x1088y-684z',
                27:'198x1255y-274z',
                28:'1x38y-1299z',
                29:'205x156y-1274z',
                30:'210x997y-806z',
                31:'213x374y-1226z',
                32:'21x26y-1299z',
                33:'21x88y-1296z',
                34:'223x152y-1271z',
                35:'226x1164y-531z',
                36:'239x373y-1222z',
                37:'249x1083y-673z',
                38:'264x1245y-261z',
                39:'264x992y-796z',
                40:'265x370y-1217z',
                41:'288x1156y-519z',
                42:'292x365y-1212z',
                43:'29x99y-1295z',
                44:'307x1075y-662z',
                45:'318x358y-1208z',
                46:'318x985y-786z',
                47:'31x34y-1299z',
                48:'32x330y-1256z',
                49:'330x1232y-249z',
                50:'345x349y-1203z',
                51:'349x1144y-507z',
                52:'365x1063y-651z',
                53:'372x339y-1198z',
                54:'372x974y-775z',
                55:'395x1215y-236z',
                56:'398x326y-1193z',
                57:'39x109y-1294z',
                58:'40x1169y-566z',
                59:'411x1129y-495z',
                60:'423x1049y-640z',
                61:'425x312y-1188z',
                62:'425x960y-765z',
                63:'42x41y-1298z',
                64:'450x296y-1182z',
                65:'458x1195y-223z',
                66:'471x1110y-483z',
                67:'478x943y-754z',
                68:'480x1031y-628z',
                69:'49x119y-1293z',
                70:'4x51y-1298z',
                71:'4x6y-1299z',
                72:'51x340y-1253z',
                73:'521x1171y-210z',
                74:'531x1088y-471z',
                75:'531x923y-744z',
                76:'536x1010y-617z',
                77:'54x48y-1297z',
                78:'583x1144y-197z',
                79:'583x901y-733z',
                80:'589x1063y-459z',
                81:'591x986y-605z',
                82:'61x128y-1292z',
                83:'633x875y-722z',
                84:'643x1114y-185z',
                85:'646x1035y-447z',
                86:'646x958y-594z',
                87:'66x1263y-299z',
                88:'67x53y-1297z',
                89:'683x846y-711z',
                90:'698x928y-582z',
                91:'701x1080y-172z',
                92:'702x1003y-434z',
                93:'72x349y-1250z',
                94:'731x814y-701z',
                95:'74x136y-1290z',
                96:'750x895y-571z',
                97:'756x968y-422z',
                98:'758x1043y-159z',
                99:'75x1088y-706z',
                100:'777x780y-690z',
                101:'799x858y-559z',
                102:'809x931y-410z',
                103:'80x57y-1296z',
                104:'812x1003y-146z',
                105:'822x743y-679z',
                106:'847x819y-547z',
                107:'859x890y-397z',
                108:'865x703y-667z',
                109:'865x960y-133z',
                110:'88x143y-1289z',
                111:'893x777y-535z',
                112:'8x64y-1298z',
                113:'906x660y-656z',
                114:'908x846y-385z',
                115:'915x915y-120z',
                116:'937x732y-523z',
                117:'93x357y-1246z',
                118:'953x800y-373z',
                119:'962x866y-107z',
                120:'978x685y-511z',
                121:'997x751y-360z'}
                
 
# -----------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1300three4xi" usage = "target function for chargethree4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -----------------------------------------------------------------------------------------------------------
def fire1300three4xi(queue2three, consumer_channel2three, publisher_channel2three):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE13000THREE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE13000THREE4XI -  QUEUE2THREE: ", queue2three)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE13000THREE4XI -  CONSUMER_CHANNEL2THREE: ", consumer_channel2three)
        #  
              
        print("\n (STEP 1A4/33) OF FIRE13000THREE4XI -  PUBLISHER_CHANNEL2THREE: ", publisher_channel2three)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE13000THREE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2three.put(shot2three13004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE13000THREE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE13000THREE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE13000THREE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4three = "<ack2put4xi>queue2three8shot2three13004xi</ack2put4xi>"
        else:
            message2send4three = "<nack2put4xi>queue2three<8shot2three13004xi/nack2put4xi>" 
            
        publisher_channel2three.send(message2send4three)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE13000THREE4XI -  SENT MESSAGE2SEND4THREE: ", message2send4three, " TO PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE13000THREE4XI *** FAILED TO SEND MESSAGE2SEND4THREE: ", message2send4three, " TO PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE13000THREE4XI - RETURNING QUEUE OBJECT QUEUE2THREE: ", queue2three, " - TIME: ", time4xi())  
        # 
            
    return queue2three    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1300three4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
                               
                